64bits libs installed on i386 systems

Bug #177917 reported by Laurent Bigonville on 2007-12-21
4
Affects Status Importance Assigned to Milestone
dpkg (Debian)
Fix Released
Unknown
dpkg (Ubuntu)
High
Unassigned
Hardy
High
Unassigned
gcc-4.2 (Ubuntu)
High
Matthias Klose
Hardy
High
Matthias Klose

Bug Description

Binary package hint: gcc-4.2

on my 32bits system running hardy, libstdc++6 pulls 64bits libraries

libstdc++6
  Depends: gcc-4.2-base
  Depends: lib64gcc1
  Depends: libc6
  Conflicts: scim

confirmed,
"Dependencies:
4.2.2-4ubuntu2 - gcc-4.2-base (5 4.2.2-4ubuntu2) lib64gcc1 (2 1:4.1.1-21) libc6 (2 2.7-1) scim (3 1.4.2-1)
Provides:
4.2.2-4ubuntu2 -
"

Changed in gcc-4.2:
status: New → Confirmed

at least I do actually have a 64 bit processor in case those libraries ever get called

Martin Pitt (pitti) wrote :

Confirmed here, too. This wastes a lot of space on the amd64 CDs, and on real i386 this is even prone to cause crashes.

Changed in gcc-4.2:
assignee: nobody → doko
importance: Undecided → High
Matthias Klose (doko) wrote :

this will need a merge of the upcoming dpkg 1.14.15, then a rebuild of gcc-4.2.

Changed in dpkg:
importance: Undecided → High
milestone: none → hardy-alpha-3
status: New → Confirmed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package dpkg - 1.14.12ubuntu4

---------------
dpkg (1.14.12ubuntu4) hardy; urgency=low

  * Cherry pick from current trunk:
    - Fix dpkg-shlibdeps choosing bad symbols files when there are several
      providing the same soname. LP: #177917.

 -- Matthias Klose <email address hidden> Fri, 04 Jan 2008 08:33:24 +0000

Changed in dpkg:
status: Confirmed → Fix Released
Changed in dpkg:
status: Unknown → Fix Committed
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-4.2 - 4.2.2-5ubuntu1

---------------
gcc-4.2 (4.2.2-5ubuntu1) hardy; urgency=low

  * Merge with Debian; remaining changes:
    - Regenerate the control file.
  * Update to SVN 20080104 from the ubuntu/gcc-4_2-branch.
  * Adjust build-dependency on debhelper.
  * Fix gnat-4.2 build failure (addresses: #456867).
  * Build with fixed dpkg-shlibdeps. LP: #177917.

 -- Matthias Klose <email address hidden> Fri, 04 Jan 2008 21:49:56 +0100

Changed in gcc-4.2:
status: Confirmed → Fix Released
Martin Pitt (pitti) wrote :

The gcc-4.2 upload had the wrong build-depends: It needs dpkg-dev (>= 1.14.12ubuntu4), but it currently dep-waits on >= 1.14.13. Reopening.

Changed in gcc-4.2:
status: Fix Released → Triaged
Launchpad Janitor (janitor) wrote :

This bug was fixed in the package gcc-4.2 - 4.2.2-5ubuntu2

---------------
gcc-4.2 (4.2.2-5ubuntu2) hardy; urgency=low

  * debian/control.m4: Fix dpkg-dev build dependency to the version we have in
    Hardy. LP: #177917

 -- Martin Pitt <email address hidden> Mon, 07 Jan 2008 18:01:17 +0000

Changed in gcc-4.2:
status: Triaged → Fix Released
Changed in dpkg:
status: Fix Committed → Fix Released
To post a comment you must log in.
This report contains Public information  Edit
Everyone can see this information.

Other bug subscribers

Remote bug watches

Bug watches keep track of this bug in other bug trackers.